Bug 1293487 - Examples don't build.
Examples don't build.
Status: NEW
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
26
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jonathan Wakely
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 16:52 EST by Stefan Seefeld
Modified: 2017-02-28 04:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Seefeld 2015-12-21 16:52:26 EST
Trying to build Boost.Python examples from the boost-examples package results in errors. The apparent reason is a wrong path in /usr/share/doc/boost-examples/libs/python/example/boost-build.jam.

I'm trying to understand what the proper correction is by discussing with the Boost.Build maintainers, so I haven't anything specific to suggest. (The nature of the issue suggests that this applies to all platforms / versions.)
I merely wanted to raise the issue here.

(I'm myself maintaining Boost.Python, and I'm trying to figure out what the best way forward is. Ideally I would like to separate Boost.Python out into a stand-alone project (using the rest of Boost as a prerequisite, but otherwise independent), which would also mean that the Boost.Python examples shouldn't be packaged with boost-examples any longer. FWIW.
Comment 1 Fedora End Of Life 2016-11-24 09:26:47 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2017-02-28 04:51:40 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.